Interlaken
API referenceAgents and workflowsSkills

Update a skill

PUT
/api/v1/skills/{id}

Requires the skills:update permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/skills/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "bucket_id": "8f7ac8aa-ed2b-4e16-81e0-0766bdb092b8",  "bucket_prefix": "string",  "created_at": "2019-08-24T14:15:22Z",  "description": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0"}